#!/usr/bin/perl
use strict;
use warnings;
use Math::MPFI qw(:mpfi);

my $x = Math::MPFI->new('[-1,2]');
my $invx = 1/$x;
print "1/$x = $invx\n";

my $xp = Math::MPFI->new('[0,2]');
my $invxp = 1/$xp;
print "1/$xp = $invxp\n";

my $xm = Math::MPFI->new('[-1,0]');
my $invxm = 1/$xm;
print "1/$xm = $invxm\n";
